resolvconf (1.77ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/postinst: Make /etc/resolv.conf a relative symlink so that it
      works when setting up chroots.
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.
  * Clean up some merge delta, thanks to Thomas Hood for reviewing!
    - Put back debian/triggers (should have been re-added as part of fixing
      LP #1453185)
    - Drop symlink check in dhclient-enter-hooks.d/resolvconf, to avoid
      dhclient overwriting /etc/resolv.conf when resolvconf is installed.
      (LP: #1385010)
    - resolvconf/link-tail-to-original debconf question again defaults to
      false; it's rather irrelevant as we install resolvconf by default.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Jun 2015 08:42:43 +0200

resolvconf (1.77) unstable; urgency=low

  * [0781847] interface-order: match br ifaces at the same
    priority as eth ifaces (see LP#1446681)
  * Remove obsolete upgrade code
  * [00ad4bf] Override immutability attrib on /etc/resolv.conf
    if dnssec-trigger is installed. See #776778 for background.

 -- Thomas Hood <jdthood@gmail.com>  Tue, 21 Apr 2015 21:04:08 +0200

resolvconf (1.76.1ubuntu2) wily; urgency=medium

  * debian/postinst: Put back calling resolvconf during configuration, to
    immediately apply it after package installation. This drops the Ubuntu
    delta introduced in LP #931335, which got broken because the postinst now
    does not call invoke-rc.d at all. (LP: #1453185)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 27 May 2015 10:23:18 +0200

resolvconf (1.76.1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. See 1.76ubuntu1 for remaining Ubuntu changes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 May 2015 14:53:23 +0200

resolvconf (1.76.1) unstable; urgency=medium

  * [eb81ca0] Eliminate bashisms.
    Thanks to Michael Gilbert (Closes: #775356)

 -- Thomas Hood <jdthood@gmail.com>  Fri, 23 Jan 2015 21:46:34 +0100

resolvconf (1.76ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/postinst: Make /etc/resolv.conf a relative symlink so that it
      works when setting up chroots.
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.
    - Also remove debian/triggers to avoid needlessly calling resolvconf's
      postinst. (LP: #931335)
  * Drop our debconfiscation when /etc/resolv.conf is immutable. This
    transition happened in 12.04 already, and if since then someone made the
    symlink immutable that doesn't cause much harm. This gets rid of quite a
    sizable delta.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 04 Nov 2014 10:40:39 +0100

resolvconf (1.76) unstable; urgency=low

  * resolvconf.service: Install into sysinit.target, not into
    network.target (Closes: #749405)
    Thanks to Martin Pitt and Edward Allcutt
  * [c405030] Add exclusion for L2TP VPN plugin (LP#1349011)
  * [4cbd73d] Bump Standards-Version

 -- Thomas Hood <jdthood@gmail.com>  Fri, 10 Oct 2014 13:42:54 +0200

resolvconf (1.75) unstable; urgency=low

  * [49dedb8] Update man page re: "dns-nameserver" (Closes: 718021)
  * [6195584] Don't give update-rc.d start and stop (Closes: #718232)
  * [eed7eb1] Add pt_BR.po. Thanks to A. R. Gomes (Closes: #718714)
  * [a84a8f2] Remove buggy dnscache update script which should be in
              dnscache-run anyway
  * [b93b150] Fix typo in README (Closes: #737158)
  * [6a47a50] Add systemd unit. Thanks Martin Pitt (Closes: #700846)

 -- Thomas Hood <jdthood@gmail.com>  Thu, 08 May 2014 11:57:29 +0200

resolvconf (1.74) unstable; urgency=low

  * [bb84ffc] Tweak the README:
  * [e3910a7] Recommend use of 'dns-nameserver'.
              No longer mention the useless deprecated 'dns-domain'.
  * [2fe6083] Add dump-debug-info script
  * [b24b66d] Add "--after" option to list-records

 -- Thomas Hood <jdthood@gmail.com>  Sat, 20 Jul 2013 21:00:00 +0200

resolvconf (1.73) unstable; urgency=low

  [ Thomas Hood ]
  * [a55738e] Update README; mention unbound's resolvconf support
  * [8da8cf7] Move flag file to /var/lib/resolvconf (Closes: #710957)
  * [e2b2026] Update ja.po. Thanks to Victory. (Closes: #712921)
  * [d727533] Use init_is_upstart

  [ Marco Nenciarini ]
  * [44f6d68] Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 02 Jul 2013 17:47:41 +0200

resolvconf (1.72) unstable; urgency=low

  [ Thomas Hood ]
  * [d3b9390] Fix flag file name in debian/config

 -- Thomas Hood <jdthood@gmail.com>  Wed, 08 May 2013 13:50:30 +0200

resolvconf (1.71) unstable; urgency=low

  [ Thomas Hood ]
  * [7e4b50a] Accept multiple "dns-nameserver" options in /e/n/i,
      allowing at most one address per option line. Requires Jessie.
  * [cd7f88b] Simplify maintainer scripts: no longer handle upgrading
      from Squeeze; Pre-Depend on Wheezy version of initscripts.
  * [68654a4] Only linkify once; our memory that we have linkified is
      the existence of file /etc/resolvconf/do-not-linkify-resolvconf
      which can of course be created or deleted by the admin. *Do*
      linkify on dpkg-reconfigure --- same behavior as in Ubuntu but
      implemented without changing debconf answers.
  * [27551b1] Add Upstart job file from Ubuntu
  * [9b72d0e] resolvconf: Remove the *-runtime-directories options
      which were intended to ease maintenance when the Debian and
      Ubuntu versions were being maintained together. Now that the
      Ubuntu package is maintained separately and makes no use of
      these options, their raison d'être has vanished.  Transfer the
      underlying code to the initscript and to the Upstart job file.
  * [9b854f8] if-down.d/resolvconf: Drop workaround for fixed #338348
  * [27f6103] Remove refs to totd which has been removed from Debian
  * [06a14e1] Update README

 -- Thomas Hood <jdthood@gmail.com>  Mon, 25 Mar 2013 12:00:00 +0100

resolvconf (1.70) unstable; urgency=low

  [ Thomas Hood ]
  * [ec06f8d] Add NEWS item about the "bind" update script being
      disabled (Closes: #697435)
  * [ec06f8d] Change interface-order such that it more consistently
      prioritizes IPv6 records over IPv4 records and ifup records over
      DHCP-client records (Fixes LP#1094345).  N.B., previously
      "eth0.inet" had lower priority than "eth0.dhclient" had, and now
      has higher priority. So now a dns-nameservers option in an
      "inet dhcp" stanza in /etc/network/interfaces can be used to
      override a bad IPv4 server address coming in via DHCP
      (Closes: #513445)
  * [9e26ca4] Drop DM-Upload-Allowed
  * [0863189] Use ifquery instead of "grep /e/n/i" in
      debian/config.  Because of need for ifquery, add versioned
      Dependency on ifupdown. Instigated by debian-devel thread:
      http://lists.debian.org/debian-devel/2013/01/msg00159.html
  * [eef5e1c] update.d/libc: Don't restart nscd any more. Nscd's hosts
      cache was disabled by default in 2007 so this was, by default,
      an unused feature. Nscd now spontaneously re-reads resolv.conf
      when it changes, so restarting nscd is no longer necessary.
      Ref: http://www.eglibc.org/archives/patches/msg00977.html
      Fixes LP#1110331.  Unfortunately, this change exposes a bug in
      nscd (http://bugs.debian.org/700385): nscd does not clear its
      hosts cache when it re-reads resolv.conf.
  * [f559774] resolvconf.8: Undocument the now-deprecated
      *-runtime-directories options and mention that static resolver
      options should be migrated to resolv.conf.d/base.
  * [396e5b1] resolvconf.8: Remove the statement, no longer true in
      Jessie, that an option can only be used once per /e/n/i stanza.

 -- Thomas Hood <jdthood@gmail.com>  Wed, 06 Feb 2013 20:00:00 +0100

resolvconf (1.69ubuntu4) utopic; urgency=medium

  * postinst: Only run the cleanup for the obsolete network.target.wants on
    configure, not on other actions. Thanks to Thomas Hood for pointing out.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Jun 2014 10:57:23 +0200

resolvconf (1.69ubuntu3) utopic; urgency=medium

  * resolvconf.service: Install into sysinit.target, not network.target, to
    better reflect what the SysV init script does and to avoid depending on
    NetworkManager. (Closes: #749405)
  * debian/postinst: Clean up the redundant and obsolete network.target.wants
    symlink on upgrade.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Jun 2014 08:24:48 +0200

resolvconf (1.69ubuntu2) utopic; urgency=medium

  * Add systemd unit (Closes: #700846)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Apr 2014 15:56:57 +0200

resolvconf (1.69ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes: (LP: #1085756)
    - Make /etc/resolv.conf a relative symlink so that it works when
      setting up chroots.
    - Instead of throwing an error that aborts the upgrade when
      /etc/resolv.conf is immutable, pop a debconf error message to let the
      user know what's happening, then clear the immutable flag and continue
      with the installation.  LP: #989585.
    - debian/config, debian/templates, debian/postinst: if we don't know that
      /etc/resolv.conf was being dynamically managed before install (in at
      least some cases), link the original contents of /etc/resolv.conf to
      /etc/resolvconf/resolv.conf.d/tail so that any statically configured
      nameservers aren't lost.  LP: #923685.
    - Use an upstart job instead of sysvinit script.
    - Pre-Depend on the /run-providing version of initscripts instead of
      depending, so that the preinst does the right thing when creating
      /run/resolvconf/interfaces instead of getting clobbered later by a bind
      mount on initscripts upgrade.  LP: #922491.
    - Completely drop the standard_run_subdirs_created helper function from
      debian/postinst, since it serves no purpose here.
    - postinst: Set resolvconf/linkify-resolvconf to false after initial
      conversion, ensuring upgrades won't convert /etc/resolv.conf to
      a symlink if the user manually converted it back to plain text.
      (LP: #922677)
    - Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
      symlink is set, so the init script can actually start (since it expects
      /etc/resolv.conf to be a symlink).
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.
    - Also remove debian/triggers to avoid needlessly calling resolvconf's
      postinst. (LP: #931335)
  * Fix previous mis-merge of debian/postinst as well as the few other comments
    from the bug report. (LP: #1085862)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 18 Jan 2013 11:52:10 -0500

resolvconf (1.69) unstable; urgency=low

  [ Thomas Hood ]
  * [276fc24] Bump Standards-Version; no changes required
  * [6982da6] README: Name packages that clobber /etc/resolv.conf
  * [4cb082a] README: Update
  * [044e9a3] ip-up.d/000resolvconf: Do nothing if USEPEERDNS not set
  * [e0db2cb] Deal with obsolete conf files (Closes: #687507, #681623)

 -- Thomas Hood <jdthood@gmail.com>  Mon, 17 Dec 2012 12:00:00 +0100

resolvconf (1.68ubuntu1) raring; urgency=low

  * Merge from Debian. Remaining changes:
    - Make /etc/resolv.conf a relative symlink so that it works when
      setting up chroots.
    - Instead of throwing an error that aborts the upgrade when
      /etc/resolv.conf is immutable, pop a debconf error message to let the
      user know what's happening, then clear the immutable flag and continue
      with the installation.  LP: #989585.
    - debian/config, debian/templates, debian/postinst: if we don't know that
      /etc/resolv.conf was being dynamically managed before install (in at
      least some cases), link the original contents of /etc/resolv.conf to
      /etc/resolvconf/resolv.conf.d/tail so that any statically configured
      nameservers aren't lost.  LP: #923685.
    - Use an upstart job instead of sysvinit script.
    - Pre-Depend on the /run-providing version of initscripts instead of
      depending, so that the preinst does the right thing when creating
      /run/resolvconf/interfaces instead of getting clobbered later by a bind
      mount on initscripts upgrade.  LP: #922491.
    - Completely drop the standard_run_subdirs_created helper function from
      debian/postinst, since it serves no purpose here.
    - postinst: Set resolvconf/linkify-resolvconf to false after initial
      conversion, ensuring upgrades won't convert /etc/resolv.conf to
      a symlink if the user manually converted it back to plain text.
      (LP: #922677)
    - Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
      symlink is set, so the init script can actually start (since it expects
      /etc/resolv.conf to be a symlink).
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.
    - Also remove debian/triggers to avoid needlessly calling resolvconf's
      postinst. (LP: #931335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 25 Oct 2012 13:59:30 +0200

resolvconf (1.68) unstable; urgency=low

  [ Thomas Hood ]
  * [1527598] Add sk.po.  Thanks to Slavko (Closes: #683672)
  * [7713764] Update resolvconf's ppp hook also to exit when passed
      /org/freedesktop/NetworkManager/PPP/* (Fixes LP: #994575,
      LP: #1046154)

 -- Thomas Hood <jdthood@gmail.com>  Mon, 10 Sep 2012 11:46:05 +0200

resolvconf (1.67ubuntu2) quantal; urgency=low

  * Apply patch by MarianoAbsatz to remove remaining reference to
    /etc/resolvconf/run (LP: #1035076)
  * Update ppp hooks to also exit when passed
    /org/freedesktop/NetworkManager/PPP/* (LP: #994575)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 07 Sep 2012 18:01:59 -0400

resolvconf (1.67ubuntu1) quantal; urgency=low

  * Merge from Debian. Remaining changes:
    (LP: #994575, LP: #999337, LP: #1012355)
    - Make /etc/resolv.conf a relative symlink so that it works when
      setting up chroots.
    - Instead of throwing an error that aborts the upgrade when
      /etc/resolv.conf is immutable, pop a debconf error message to let the
      user know what's happening, then clear the immutable flag and continue
      with the installation.  LP: #989585.
    - debian/config, debian/templates, debian/postinst: if we don't know that
      /etc/resolv.conf was being dynamically managed before install (in at
      least some cases), link the original contents of /etc/resolv.conf to
      /etc/resolvconf/resolv.conf.d/tail so that any statically configured
      nameservers aren't lost.  LP: #923685.
    - Use an upstart job instead of sysvinit script.
    - Pre-Depend on the /run-providing version of initscripts instead of
      depending, so that the preinst does the right thing when creating
      /run/resolvconf/interfaces instead of getting clobbered later by a bind
      mount on initscripts upgrade.  LP: #922491.
    - Completely drop the standard_run_subdirs_created helper function from
      debian/postinst, since it serves no purpose here.
    - postinst: Set resolvconf/linkify-resolvconf to false after initial
      conversion, ensuring upgrades won't convert /etc/resolv.conf to
      a symlink if the user manually converted it back to plain text.
      (LP: #922677)
    - Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
      symlink is set, so the init script can actually start (since it expects
      /etc/resolv.conf to be a symlink).
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.
    - Also remove debian/triggers to avoid needlessly calling resolvconf's
      postinst. (LP: #931335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 22 Jun 2012 17:29:50 -0400

resolvconf (1.67) unstable; urgency=low

  [ Thomas Hood ]
  * [5e645ac] Use more conventional name for record created by
      resolvconf's pppd hook script
  * [58da88f] Change resolvconf's pppd hook script such that it does
      not call resolvconf if pppd was run by nm-pptp-service
      (See LP#994575)
  * [16b4ae5] Bump Standards-Version; no changes

 -- Thomas Hood <jdthood@gmail.com>  Tue, 19 Jun 2012 13:17:56 +0200

resolvconf (1.66) unstable; urgency=low

  [ Thomas Hood ]
  * [ed8ab34] Silence lsattr error message in postinst
  * [23217c3] resolvconf(8): List allowed dns-* interfaces(5) options
  * [b69c873] and describe more verbosely how the libc update script
      generates the dynamic resolv.conf file (Fixes LP##990660 and
      LP#999337). Thanks to Nathan Stratton Treadway.
  * [aa99b9b] update.d/libc: Only run hook scripts if /etc/resolv.conf
      is a symbolic link to the updated dynamic file.

 -- Thomas Hood <jdthood@gmail.com>  Fri, 08 Jun 2012 10:26:53 +0200

resolvconf (1.65ubuntu4) quantal; urgency=low

  * Also remove debian/triggers to avoid needlessly calling resolvconf's
    postinst. (LP: #931335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 May 2012 16:40:55 -0400

resolvconf (1.65ubuntu3) quantal; urgency=low

  [ Stéphane Graber ]
  * Call db_go after the db_input command so that the debconf error
    message is actually shown to the user.

  [ Thomas Hood ]
  * Remove redundant code from resolvconf postinst (LP: #931335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 May 2012 12:49:42 -0400

resolvconf (1.65ubuntu2) quantal; urgency=low

  [ Stéphane Graber ]
  * In is_immutable_file, if lsattr doesn't return anything on stdout,
    return 1 and hide stderr. This fixes lsattr failing on non-ext
    filesystems. (LP: #994539)

  [ Steve Langasek ]
  * Fix syntax of db_input command, which is part of why we're seeing
    failures in bug #994539.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 07 May 2012 16:01:08 -0700

resolvconf (1.65ubuntu1) quantal; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Make /etc/resolv.conf a relative symlink so that it works when
      setting up chroots.
    - Instead of throwing an error that aborts the upgrade when
      /etc/resolv.conf is immutable, pop a debconf error message to let the
      user know what's happening, then clear the immutable flag and continue
      with the installation.  LP: #989585.
    - debian/config, debian/templates, debian/postinst: if we don't know that
      /etc/resolv.conf was being dynamically managed before install (in at
      least some cases), link the original contents of /etc/resolv.conf to
      /etc/resolvconf/resolv.conf.d/tail so that any statically configured
      nameservers aren't lost.  LP: #923685.
    - Use an upstart job instead of sysvinit script.
    - Pre-Depend on the /run-providing version of initscripts instead of
      depending, so that the preinst does the right thing when creating
      /run/resolvconf/interfaces instead of getting clobbered later by a bind
      mount on initscripts upgrade.  LP: #922491.
    - Completely drop the standard_run_subdirs_created helper function from
      debian/postinst, since it serves no purpose here.
    - postinst: Set resolvconf/linkify-resolvconf to false after initial
      conversion, ensuring upgrades won't convert /etc/resolv.conf to
      a symlink if the user manually converted it back to plain text.
      (LP: #922677)
    - Make resolvconf exit 0 when /etc/resolv.conf isn't a symlink
      (instead of exit 1) and update the error message.
    - Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
      symlink is set, so the init script can actually start (since it expects
      /etc/resolv.conf to be a symlink).
    - Eliminate all references to /etc/resolvconf/run.  This should all be done
      directly in /run, there is no reason to support making any of this
      configurable with a symlink since we already have a versioned dependency
      on the version of initscripts that introduces the /run transition.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 May 2012 21:17:35 -0400

resolvconf (1.65) unstable; urgency=low

  [ Thomas Hood ]
  * [3f0a1a1] Create /etc/resolvconf/run and its target and subdir
      in the postinst as well as in the preinst (Closes: #662724)
  * [ae16ea8] In postinst, as last resort, create /run/resolvconf/
       even if /run isn't a tmpfs.
  * [25711bf] ifupdown hook scripts: Don't return error to ifupdown
      (Addresses #661591 so far as resolvconf is concerned)
  * [8da29c3] Document that list-records doesn't list empty records.
      Add patterns for biosdevnames (See LP#949473)
  * [a998de3] Update default interface order patterns in list-records
  * [94baf61] resolvconf(8): Update ref to dhclient hook script
      (See LP#953257)

 -- Thomas Hood <jdthood@gmail.com>  Tue, 13 Mar 2012 09:09:35 +0100

resolvconf (1.64) unstable; urgency=low

  [ Thomas Hood ]
  * [da2bfa4] Wipe more selectively (Closes: #657259)
  * [e5fbaef] Ubuntu backport: on enable-updates, exit with nonzero
      status if and only if updates could not be enabled (i.e.,
      ignore update script errors).
  * [e1cb96e] Bump Standards-Version

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 04 Mar 2012 17:44:13 +0100

resolvconf (1.63ubuntu12) precise-proposed; urgency=low

  * Instead of throwing an error that aborts the upgrade when
    /etc/resolv.conf is immutable, pop a debconf error message to let the
    user know what's happening, then clear the immutable flag and continue
    with the installation.  LP: #989585.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 May 2012 12:51:50 -0700

resolvconf (1.63ubuntu11) precise; urgency=low

  * debian/config: Update regexp to allow multiple DNS servers on a single
    dns-nameservers line.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 16:38:31 -0400

resolvconf (1.63ubuntu10) precise; urgency=low

  * debian/config: handle 'inet6 dhcp' interfaces the same as 'inet dhcp'
    ones for detecting dynamic DNS information.
  * bin/list-records, etc/resolvconf/interface-order: cherry-pick upstream
    support for biosdevname-style interface names.  Thanks, Thomas!
    LP: #949473.
  * man/resolvconf.8: point to the right directory for dhcp hooks.
    LP: #953257.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Mar 2012 12:13:34 -0700

resolvconf (1.63ubuntu9) precise; urgency=low

  * debian/config: dns-nameservers lines are only valid if they take an ipv4
    or ipv6 value, and earlier bugs in netcfg may spit out lines with garbage
    values instead.  If we find one of these on initial configuration, don't
    consider it an example of valid dynamically-provided DNS information.
    LP: #932275.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Feb 2012 13:01:08 -0800

resolvconf (1.63ubuntu8) precise; urgency=low

  * Use a post-stop script for disabling resolvconf, not a pre-stop script,
    since upstart seems to be silently ignoring pre-stop when there's no
    main process.  LP: #933566.
  * debian/postinst: mkdir -p /run/resolvconf/interface again, just in case
    there's been a reboot between the preinst and postinst which would wipe
    out /run.  May or may not address LP 933035.
  * debian/config, debian/templates, debian/postinst: if we don't know that
    /etc/resolv.conf was being dynamically managed before install (in at
    least some cases), link the original contents of /etc/resolv.conf to
    /etc/resolvconf/resolv.conf.d/tail so that any statically configured
    nameservers aren't lost.  LP: #923685.    
  * when called with --enable-updates, ignore failures from the hooks.
    LP: #927803.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2012 19:17:32 +0000

resolvconf (1.63ubuntu7) precise; urgency=low

  [ Stéphane Graber ]
  * Revert change from 1.63ubuntu5 where /etc/resolv.conf would be linkified
    by the upstart/sysvinit job. This wasn't working as / wasn't necessarily
    writable at the time.
    Instead, make the link at package install time but make it a relative
    link which should take care of the chroot usecase where you want
    to copy /etc/resolv.conf from outside the chroot into the chroot.
    Detect old flag file (/var/lib/resolvconf/convert) and re-run the
    conversion code if it's present (to try and fix broken systems).
    Use readlink -m when checking the link's destination.
    (LP: #924836)

  [ Steve Langasek ]
  * Use readlink -m also in the postrm, to account for our relative links

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Feb 2012 14:28:45 -0500

resolvconf (1.63ubuntu6) precise; urgency=low

  * Pre-Depend on the /run-providing version of initscripts instead of
    depending, so that the preinst does the right thing when creating
    /run/resolvconf/interfaces instead of getting clobbered later by a bind
    mount on initscripts upgrade.  LP: #922491.
  * Completely drop the standard_run_subdirs_created helper function from
    debian/postinst, since it serves no purpose here.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 27 Jan 2012 14:14:53 -0800

resolvconf (1.63ubuntu5) precise; urgency=low
  [ Stéphane Graber ]
  * Instead of creating the symlink in debian/postinst, create a flag
    at /var/lib/resolvconf/convert and create the symlink in the upstart
    or sysvinit job. On regular machines this will convert it immediately
    but on chroots that'll keep the old resolv.conf file. (LP: #922578)

  [ Steve Langasek ]
  * Call dh_installinit with -r, to not stop/start resolvconf on upgrade;
    that just leaves a window when updates aren't happening, which doesn't
    benefit us.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 27 Jan 2012 14:19:22 -0500

resolvconf (1.63ubuntu4) precise; urgency=low

  * dhclient hook: Only trigger if /etc/resolv.conf is a symlink.
  * postinst: Set resolvconf/linkify-resolvconf to false after initial
    conversion, ensuring upgrades won't convert /etc/resolv.conf to
    a symlink if the user manually converted it back to plain text.
    (LP: #922677)
  * Make resolvconf exit 0 when /etc/resolv.conf isn't a symlink
    (instead of exit 1) and update the error message.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 27 Jan 2012 12:23:34 -0500

resolvconf (1.63ubuntu3) precise; urgency=low

  * Move the #DEBHELPER# token in debian/postinst to after the resolv.conf
    symlink is set, so the init script can actually start (since it expects
    /etc/resolv.conf to be a symlink).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sun, 08 Jan 2012 21:12:34 +0100

resolvconf (1.63ubuntu2) precise; urgency=low

  * Adjust the upstart job to run as soon as /run is mounted, instead of
    right before udev starts.
  * Fix obfuscated call in upstart job to
    'resolvconf --create-runtime-directories'; this should mkdir -p directly.
  * Eliminate all references to /etc/resolvconf/run.  This should all be done
    directly in /run, there is no reason to support making any of this
    configurable with a symlink since we already have a versioned dependency
    on the version of initscripts that introduces the /run transition.
  * Further reduce the calls to resolvconf in the upstart job, there's no
    reason to call out to another shell script for a 'touch' command.
  * Add missing #DEBHELPER# token in debian/postinst, replacing by-hand
    munging of /etc/rc?.d symlinks.
  * Correct wrong use of dh_installinit --upstart-only, which is only for
    upstart jobs that were never init scripts before; and don't pass
    --noscripts, because we really do want the upstart job run on install.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Jan 2012 15:40:59 -0800

resolvconf (1.63ubuntu1) precise; urgency=low

  [ Thomas Hood ]
  * Debian fixed bugs (LP: #797339, #871058, #471975, #378844, #894417)
  * Differences from Debian:
    - /sbin/resolvconf:
      + Exit if /etc/resolv.conf is not a symlink
    - debian/rules:
      + Install upstart script rather than initscript (LP: #366967, #750423)
    - debian/{pre,post}inst
      + Migrate (to /run) from /var/run, not from /lib/init/rw.
      + [0706f28] Remove old Sys V init scripts and symlinks
  * Thanks to Sander van Grieken for his assistance with this release.

 -- Thomas Hood <jdthood@gmail.com>  Tue, 20 Dec 2011 22:00:00 +0100

resolvconf (1.63) unstable; urgency=low

  [ Thomas Hood ]
  * [a83fce3] Depend on a later version of the initscripts package
  * [cfc8349] Use variable instead of hard-coded path for old run dir
      in maintainer scripts, to help shrink the Ubuntu diff.
  * [9921902] Update and improve resolvconf(8)
  * [719dc9b] Run update on boot (Closes: #651801, #651827)
  * [5fc985c] Don't trigger on reconfigure (Closes: #651803)

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 17 Dec 2011 23:25:04 +0100

resolvconf (1.62) unstable; urgency=low

  [ Thomas Hood ]
  * [0352a85] postrm: On removal restore original resolv.conf if
      current (dynamic) resolv.conf has no content. (Closes: #644956)
      Thanks to Josep Lladonosa Capell.
  * [7cdfa73] Move logic details from initscript to /sbin/resolvconf;
      for this purpose add new options to /sbin/resolvconf:
      --enable-updates, --disable-updates, --updates-are-enabled,
      --create-runtime-directories.
  * [7cdfa73] Eliminate "-i" option supplied to update scripts and
      the code in /etc/resolvconf/update.d/libc that made use of this.

  [ Marco Nenciarini ]
  * [e175b76] Remove hardcoded path from resolvconf's invocation in
      maintainer scripts. Thanks to lintian

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 30 Nov 2011 19:05:04 +0100

resolvconf (1.61) unstable; urgency=low

  * [cbb5105] list-records: Add comment re: extglob; speed up final
      loop
  * [4492943] Eliminate bashisms from /sbin/resolvconf. (Other
      scripts in this package still use bash, though, so this does not
      close wish #519364.) Thanks to Stefan Monnier.
  * [63da54b] update.d/libc: Only run-parts update-libc.d/ if the
      latter exists.  (Closes: #642965)

 -- Thomas Hood <jdthood@gmail.com>  Mon, 26 Sep 2011 09:42:11 +0200

resolvconf (1.60) unstable; urgency=low

  [ Marco Nenciarini ]
  * [c30024e] Switch vcs fields to git
  * [4041409] Add debian/gbp.conf to make easy the usage of
      git-buildpackage

  [ Thomas Hood ]
  * [18e2fac] Update es.po thanks to Javier Fernández-Sanguino
      (Closes: #642360)
  * [18e2fac] Include resolv.conf.d/base information in
      resolv.conf *after* dynamic information, rather than before
      (Closes: #642222)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 23 Sep 2011 09:31:53 +0200

resolvconf (1.59) unstable; urgency=low

  * dhclient-enter-hooks.d/resolvconf: Add support for dhclient
    DHCPv6 (Closes: #635470)
  * postinst: Fail with message if /etc/resolv.conf is immutable
    (Closes: #635775)
  * Mention in resolvconf(8) that /etc/default/resolvconf has
    to be created if it is to be used to set resolvconf environment
    variables (Closes: #633014)
  * Drop outdated id.po

 -- Thomas Hood <jdthood@gmail.com>  Tue, 23 Aug 2011 10:00:00 +0200

resolvconf (1.58) unstable; urgency=low

  [ Thomas Hood ]
  * Update README
  * Update debconf template translations:
    * da.po thanks to Joe Dalton (Closes: #630241)
    * cs.po thanks to Miroslav Kure (Closes: #630669)
    * nl.po thanks to Jeroen Schot (Closes: #631499)
    * pt.po thanks to Pedro Ribeiro (Closes: #631569)

  [ Marco Nenciarini ]
  * Update italian debconf translation
  * debian/rules: Add build-arch and build-indep target, as required
    by policy.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Jun 2011 00:37:58 +0200

resolvconf (1.57) unstable; urgency=low

  [ Marco Nenciarini ]
  * Update debconf template translations:
    * fr.po thanks to Christian Perrier (Closes: #629560)
  * Fix typo in prerm script

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 08 Jun 2011 12:22:33 +0200

resolvconf (1.56) unstable; urgency=low

  [ Thomas Hood ]
  * Create /etc/resolvconf/run as a directory if no tmpfs is
    available into which it can symlink. (Closes: #629186)
  * Eliminate warning brought to light by piuparts:
    * Grep /etc/network/interfaces only if it exists
  * Run dpkg-trigger with --no-await
  * Update README
  * Update debconf template translations:
    * sv.po thanks to Martin Bagge (Closes: #629022)
    * ru.po thanks to Yuri Kozlov (Closes: #629165)
    * de.po thanks to Helge Kreutzmann (Closes: #629201)
    * eu.po thanks to Iñaki Larrañaga Murgoitio (Closes: #629411)

 -- Thomas Hood <jdthood@gmail.com>  Mon, 06 Jun 2011 15:00:00 +0200

resolvconf (1.55) unstable; urgency=medium

  [ Thomas Hood ]
  * Include old update.d/bind script for illustration purposes
    as /usr/share/doc/resolvconf/resolvconf-update-bind.
  * Use /usr/lib/resolvconf/dpkg-event.d instead of a /etc/...
    path for dpkg event hook scripts. The scripts don't need
    to be configuration files.
  * In postrm print a message and put up debconf note recommending
    reboot. (Closes: #628524)
  * Remove comments from /etc/resolv.conf on removal.
  * Remove /lib/init/rw/resolvconf on purge. (Closes: #628669)
  * Update debconf template translation:
    * eu.po thanks to Iñaki Larrañaga Murgoitio (Closes: #628719)
  * Clean up many .po headers
  * Update README

 -- Thomas Hood <jdthood@gmail.com>  Thu, 31 May 2011 12:00:00 +0200

resolvconf (1.54) unstable; urgency=low

  [ Thomas Hood ]
  * Put "exit 0" at the end of each maintainer script

 -- Thomas Hood <jdthood@gmail.com>  Wed, 25 May 2011 13:00:00 +0200

resolvconf (1.53) unstable; urgency=low

  [ Thomas Hood ]
  * Dpkg trigger is now called 'resolvconf-enable-updates' and is now
    intended only for internal use.
  * Other packages are notified of the installation of resolvconf via
    hook scripts as described in the "Usage information for maintainers"
    section of the resolvconf README file. (Closes: #567059, #627691)
  * Update my e-mail address in various places
  * Update debconf template translation:
    * cs.po thanks to Miroslav Kure (Closes: #627440)
  * Remove /etc/resolvconf/update.d/bind (Closes: #608933, #268073).
    Instead of this, the bind9 package should include a hook script
    /etc/resolvconf/update.d/bind9 as has been requested in #483098.
  * Due to changes in Debian infrastructure change debian/control
    fields Vcs-Svn and Vcs-Browser.  Ref:
    http://lists.debian.org/debian-devel-announce/2011/05/msg00009.html

 -- Thomas Hood <jdthood@gmail.com>  Wed, 20 May 2011 12:00:00 +0200

resolvconf (1.52) unstable; urgency=low

  [ Thomas Hood ]
  * Add debian/source/format at lintian's suggestion
  * Update debconf template translations:
    * ru.po thanks to Yuri Kozlov (Closes: #625623)
    * sv.po thanks to Martin Bagge (Closes: #625786)
    * nl.po thanks to Vincent Zweije (Closes: #625896)
    * de.po thanks to Helge Kreutzmann (Closes: #626030)
    * da.po thanks to Joe Dalton (Closes: #626302)
    * fr.po thanks to Christian PERRIER, Steve Petruzzello and David Prévot
    * pt.po thanks to Pedro Ribeiro (Closes: #626675)
  * Remove long outdated pt_BR.po
  * Don't run mkdir with -v in debian/p*inst

 -- Thomas Hood <jdthood@gmail.com>  Wed, 13 May 2011 12:00:00 +0200

resolvconf (1.51) experimental; urgency=low

  [ Thomas Hood ]
  * Rename 'TRUNCATE_NAMESERVER_LIST_AFTER_127' to
    'TRUNCATE_NAMESERVER_LIST_AFTER_LOOPBACK_ADDRESS' and make it
    cause the nameserver list to be truncated also after an IPv6
    loopback address. (Closes: #568820)
  * Normalize contents of records -- i.e., strip out comments and
    whitespace and shorten IPv6 nameserver addresses.  This makes
    it easier to implement the change above.
  * Add debian/test-normalization script to test the normalization
    code.
  * Update resolvconf/downup-interfaces template again.

 -- Thomas Hood <jdthood@gmail.com>  Tue, 03 May 2011 12:00:00 +0200

resolvconf (1.50) experimental; urgency=low

  [ Thomas Hood ]
  * Also migrate non-symlinked directory /etc/resolvconf/run to
    /run/resolvconf.
  * Be interested in own trigger and enable updates only when triggered.
    This could eliminate some superfluous updates on installation.
    (Evidence that a package is allowed trigger itself:
    http://lists.debian.org/debian-dpkg/2007/10/msg00175.html)
  * Add section "Usage information for maintainers" to the README file
    discussing the new trigger.
  * Document the "original" file in resolvconf(8). (Closes: #414692)
  * Improve markup of resolvconf(8).

 -- Thomas Hood <jdthood@gmail.com>  Wed, 27 Apr 2011 12:00:00 +0200

resolvconf (1.49) experimental; urgency=low

  [ Thomas Hood ]
  * Standardly keep run-time data in /run instead of /lib/init/rw;
    migrate from /lib/init/rw to /run in the postinst. (Closes: #621503).
    Thanks to Roger Leigh for his help.
  * Create run-time data directories in the preinst instead of in the
    postinst. (Closes: #551999, #563386).  (Do this in /run if that is
    already already available, otherwise in /lib/init/rw, otherwise in
    /etc/resolvconf.)  Now when other packages call resolvconf before
    resolvconf's postinst runs, the data are not lost and no error 
    message is printed.
  * If someone has run resolvconf while updates were disabled, update
    when updates are enabled.
  * Include the contents of the original resolv.conf file in the
    database until the first reboot after installation.  The old behavior
    was to omit these contents unless link-tail-to-original was
    selected with the result that information was missing from
    resolv.conf until ifdown-ifup cycles.  The new behavior is not 
    correct either, since nameserver addresses are not removed when
    corresponding interfaces are deconfigured, but should have less
    unpleasant consequences than the old behavior.
  * Update the debconf template that discusses the problem just described.
    Whereas before it was recommended that the administrator down and up
    network interfaces, it is now recommended that the administrator
    reboot the system.
  * Add da.po. (Closes: #623079)  Thanks to Joe Dalton.
  * Run debconf-updatepo.
  * Add Depends on initscripts >= 2.88dsf-13.3 which enables /run
    in its postinst, ensuring that /run is available to our postinst.
  * Activate the "resolvconf-event" trigger in postinst and in postrm
    in order to induce other packages to take notice of resolvconf
    being installed (configured) or removed.  When triggered and
    resolvconf is installed, interested packages possessing name server
    information should send it to resolvconf.  See README for details.
    (Closes: #567059)
  * Remove /etc/dhcp3/dhclient-enter-hooks.d/resolvconf which is obsolete;
    remove it on purge and declare a Breaks: old versions of dhcp3-client
    which used it. (Closes: #591022).
  * Use dh_installifupdown to install ifupdown hook scripts and,
    consequently, Build-Depend on newer debhelper.
  * Update debian/compat to 8.
  * Bump Standards-Version to 3.9.2.0.
  * Tidy up all maintainer scripts.

  [ Marco Nenciarini ]
  * debian/control: updated Thomas Hood's email address.

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 19 Apr 2011 22:30:30 +0200

resolvconf (1.48ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - bin/resolvconf:
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
      + make sure all run files are sent to /var/run, not /lib/init/rw
      + update regex to check that /var/run is a tmpfs (LP: #386822)
      + fix typo in comments
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.
    - debian/postrm:
      + remove /var/run/resolvconf, not /lib/init/rw/resolvconf
      + also purge /var/run/resolvconf/interface

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 13 Jan 2011 19:22:32 +0530

resolvconf (1.48) unstable; urgency=low

  [ Thomas Hood ]
  * README:
    + Drop support for old bind package and update instructions for
      configuring bind9 to work with resolvconf.  (Closes: #586326)
  * /etc/resolvconf/update.d/bind
    + Allow NAMED_RUN_DIR to be overridden in /etc/default/resolvconf.
      (Closes: #602204)
  * debian/control:
    + Drop obsolete dependency constraints from Breaks
    + Update Uploaders

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 12 Jan 2011 20:15:47 +0100

resolvconf (1.47ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - bin/resolvconf:
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
      + make sure all run files are sent to /var/run, not /lib/init/rw
      + update regex to check that /var/run is a tmpfs (LP: #386822)
      + fix typo in comments
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.
    - debian/postrm:
      + remove /var/run/resolvconf, not /lib/init/rw/resolvconf
      + also purge /var/run/resolvconf/interface

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 04 Dec 2010 00:54:18 +0530

resolvconf (1.47) unstable; urgency=low

  [ Thomas Hood ]
  * Cause ifdown to delete ${IFACE}.udhcpc  (Closes: #605215)
  * Remove workaround for #196865 which was fixed in ifupdown << oldstable

  [ Marco Nenciarini ]
  * Bump Standards-Version to 3.9.1.0; no changes required

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 01 Dec 2010 16:21:54 +0100

resolvconf (1.46ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #605116), remaining changes:
    - bin/resolvconf:
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
      + make sure all run files are sent to /var/run, not /lib/init/rw
      + update regex to check that /var/run is a tmpfs (LP: #386822)
      + fix typo in comments
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.
    - debian/postrm:
      + remove /var/run/resolvconf, not /lib/init/rw/resolvconf
      + also purge /var/run/resolvconf/interface

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 13 Jul 2010 19:35:38 +0200

resolvconf (1.46) unstable; urgency=low

  [ Thomas Hood ]
  * Add hook script for dhclient from the new isc-dhcp-client
    package (Closes: #583991, #570896).  The new script, in
    /etc/dhcp/, has the same contents as the old one in /etc/dhcp3/.
    Please note that any local changes made to the old one should be
    made to the new script as well.
  * Reiterate the latter advice in a NEWS item.
  * Update the status of many TODO items in the README file. There
    has been some progress in the past five years.
  * Drop all dependencies on package versions older than those in
    oldstable.
  * Add Breaks: dnscache-run which overwrites /etc/resolv.conf.
    See #582755 for my request that dnscache-run be modified to
    be compatible with resolvconf.
  * Bump Standards-Version to 3.9.0.0.  As advised, demote remaining
    Conflicts to Breaks.
  * Drop Enhances: for obsolete packages dhcp-client and bind
  * Add Enhances: isc-dhcp-client
  * Add some lintian overrides.

  [ Marco Nenciarini ]
  * Depend on debhelper >= 6.0.7~ to have dh_lintian
  * Update copyright file to refer to GPL-2 instead of GPL which is
    actually a symlink to GPL-3
  * Add lintian overrides for breaks-without-version.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 12 Jul 2010 12:41:37 +0200

resolvconf (1.45ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #495998):
    - bin/resolvconf:
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.
  * debian/postinst:
    - make sure all run files are sent to /var/run, not /lib/init/rw
    - update regex to check that /var/run is a tmpfs (LP: #386822)
    - fix typo in comments
  * debian/postrm:
    - remove /var/run/resolvconf, not /lib/init/rw/resolvconf
    - also purge /var/run/resolvconf/interface

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Wed, 30 Dec 2009 16:17:58 -0500

resolvconf (1.45) unstable; urgency=low

  [ Thomas Hood ]
  * Bump standards version
  * Add note to man page that tail file is a good place for a
    resolver "options" line  (Closes: #533297)
  * Add eu.po (Closes: #534558)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 13 Aug 2009 20:01:51 +0200

resolvconf (1.44ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes (LP: #384131):
    - bin/resolvconf: 
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Thu, 04 Jun 2009 16:38:43 -0700

resolvconf (1.44) unstable; urgency=low

  [ Thomas Hood ]
  * Add "hso*" pattern to interface-order file  (Closes: #516357)
  * Don't include duplicate domain names (both with and without
    the root domain suffix) in search list. Thanks to Tom Carroll.
    (Closes: #522814)
  * Remove /lib/init/rw/resolvconf on purge  (Closes: #531283)
    Thanks to Holger Levsen.
  
  [ Daniel Kahn Gillmor ]
  * debian/control: Update my e-mail address in Uploaders
  * Fix typo in initscript.  Thanks, Peter Eisentraut (Closes: #525681)
  * Add status function to initscript for LSB compliance.  Thanks,
    Peter Eisentraut (Closes: #525680)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Jun 2009 18:02:23 -0400

resolvconf (1.43ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #306092):
    - bin/resolvconf: 
      + fail with non-zero exit code when /etc/resolv.conf is not a symlink.
    - debian/postinst:
      + use default /var/run.
    - debian/rules:
      + don't install the init script in runlevels 0 and 6.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Sun, 07 Dec 2008 15:12:34 -0800

resolvconf (1.43) unstable; urgency=low

  [ Thomas Hood ]
  * No longer #! bash in postrm and config since (as of policy 3.7.3.0)
    we are now entitled to assume that /bin/sh supports the "local"
    feature
  * initscript: Don't declare Should-Stop dependency on networking and ifupdown
    (because what is really required is a X-Stop-Before dependency)
  * In resolvconf(8), for explanation of dns-* options refer the reader
    to resolv.conf(5).  (Closes: #507086)
  * [Debconf translation updates]
  * Swedish (Closes: #503353)

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 06 Dec 2008 10:17:36 +0100

resolvconf (1.42ubuntu2) intrepid; urgency=low

  * bin/resolvconf: fail with non-zero exit code when /etc/resolv.conf is not
    a symlink. This allows network-manager to recognize such an error and
    fallback to default behaviour when resolvconf is installed, but is not
    used.

 -- Alexander Sack <asac@ubuntu.com>  Wed, 10 Sep 2008 10:08:56 +0200

resolvconf (1.42ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
   + debian/postinst:
    - use default /var/run.
   + debian/rules: 
    - don't install the init script in runlevels 0 and 6
   + debian/control:
    - Update Standards-Version.

 -- Emanuele Gentili <emgent@ubuntu.com>  Wed, 20 Aug 2008 02:32:47 +0200

resolvconf (1.42) unstable; urgency=high

  [ Thomas Hood ]
  * init script: Add X-Start-Before and Should-Stop dependencies on
    ifupdown and networking (Closes: #493501, #494084, #494872)
  * [Debconf translation updates]
  * Japanese (Closes: #493608)
  * Swedish (Closes: #491780)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 03 Aug 2008 21:27:56 +0200

resolvconf (1.41ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes: (LP: #241328)
   + debian/postinst: use default /var/run.
   + Update maintainer field in debian/control.

 -- Emanuele Gentili <emgent@ubuntu.com>  Thu, 19 Jun 2008 16:26:51 +0200

resolvconf (1.41) unstable; urgency=low

  [ Thomas Hood ]
  * postinst: Do not remove existing runlevel configuration.  (Releases
    1.12 and up did so in order to correct the error made in earlier
    releases, of installing at S39 instead of S38.  The correction will
    already have been performed on all systems upgraded to sarge.)
    (Closes: #477752)
  * No longer #! bash in postinst
  
  [ Daniel Kahn Gillmor]
  * don't try to manipulate forwarding dnscaches which are marked as
    "down" (Thanks, Soeren Sonnenburg!) (Closes: #479867)
  * since both runit and daemontools now use /etc/service, use
    availability of executables to select supervising service instead
    (Thanks, Alec Berryman!) (Closes: #485523)
  * Fixed my published e-mail address in the Uploaders: line.
  * debian/control: added Vcs-Svn, Vcs-Browser, and Homepage fields
  * debian/control: added Dm-Upload-Allowed: yes

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 17 Jun 2008 16:51:15 -0400

resolvconf (1.40ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes (LP: #226679):
   + debian/postinst: use default /var/run.
   + Update maintainer field in debian/control. 

 -- Emanuele Gentili <emgent@emanuele-gentili.com>  Mon, 05 May 2008 00:23:04 +0200

resolvconf (1.40) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * update.d/dnscache: moved runit service directory from /var/service to
    /etc/service, tracking #461478.  Added Conflicts: runit (<< 1.8.0-3)
    to make sure the system uses the same path.
  * update.d/dnscache: changing directories back from $SERVICEDIR after
    scanning so that list-records works properly.

  [ Thomas Hood ]
  * Overwrite /etc/resolvconf/run symlink by means of "ln -nsf" rather
    than by means of "ln -sf" since the latter just (uselessly) puts a
    new symlink _in_ the run directory.  Thanks to Karl Chen for pointing
    out the error.  (Closes: #475528)
  * [Debconf translation updates]
  * Italian (Closes: #471889)
  * Spanish (Closes: #473470)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 24 Apr 2008 17:56:50 +0200

resolvconf (1.39) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Removed bashism from dnscache script (Closes: #459566)
    Thanks, Jeff King!

  [ Thomas Hood ]
  * Add a variable giving the admin the ability to disable the not-always-
    so-popular "truncate the nameserver list after 127.*" feature
    (Closes: #339418, #404041, #425444, #462946)
  * Change dhcp3 dhclient hook script so that it sends domain name and
    domain search strings separately to resolvconf preceded by the
    "domain" and "search" keywords, respectively.  (Closes: #460609)
  * Add information about dns- options to resolvconf.8  (Closes: #305884)
  * Clean up dnscache script
  * Add pere to Uploaders list
  * Check before migrating files from /dev/shm/resolvconf/* (Closes: #463463)
  * Add debian/compat, make lintian happy
  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project. (Closes: #464499)
  * [Debconf translation updates]
  * Galician. Closes: #465305
  * Indonesian. Closes: #465411
  * Vietnamese. Closes: #465436
  * German. Closes: #466099
  * Czech. Closes: #466307
  * Portuguese. Closes: #466464
  * Finnish. Closes: #466607
  * Russian. Closes: #467443
  * French. Closes: #467530
  * Dutch. Closes: #468249

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 13 Mar 2008 12:48:18 +0100

resolvconf (1.38ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes (LP: #182433):
    - use /var/run instead of /dev/shm
    - debian/rules: don't install the init script in runlevels 0 and 6

 -- Emanuele Gentili <emgent@emanuele-gentili.com>  Sun, 13 Jan 2008 01:36:43 +0100

resolvconf (1.38) unstable; urgency=low

  [ Thomas Hood ]
  * Remove ru versions of man pages which failed lexgrog check
  * Add initscript lsb header  (Closes: #451751)
  * Eliminate obsolete checks for old bad hook scripts
    (Addresses but does not close # 388956)
  * New nscd pidfile location is /var/run/nscd/nscd.pid
    (Closes: #415783)  Thanks to Bob Knock.
  * Add gl.po, thanks to Jacobo Tarrio  (Closes: #412511)
  * Add pt.po, thanks to Miguel Figueiredo  (Closes: #413752)

  [ Daniel Kahn Gillmor ]
  * Use /lib/init/rw instead of /dev/shm  (Closes: #431181)
    Thanks, Roger Leigh!

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 31 Dec 2007 12:00:00 +0100

resolvconf (1.37ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - use /var/run instead of /dev/shm
    - debian/rules: don't install the init script in runlevels 0 and 6

 -- Michael Bienia <geser@ubuntu.com>  Tue, 19 Dec 2006 14:19:02 +0100

resolvconf (1.37) unstable; urgency=high

  [ Thomas Hood ]
  * initscript: Don't do anything if resolvconf is removed
    (Closes: #393323)
  * Update ja.po thanks to Hideki Yamane  (Closes: #391953)
  * Add es.po thanks to Javier Fernández-Sanguino Peña
    (Closes: #402678)

  [ Marco Nenciarini ]
  * Urgency set to high due to RC bug fix.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 13 Dec 2006 15:13:02 +0100

resolvconf (1.36ubuntu1) edgy; urgency=low

  [ William Alexander Grant ]
  * Readded patch to use /var/run rather than /dev/shm (it was lost in a sync
    a while back)
  (Closes Ubuntu: #61310).

  [ Daniel T. Chen ]
  * debian/rules: Follow multiuser semantics for dh_installinit(1) --
    that is, we don't need to save anything for runlevels 0 or 6, so
    don't create those symlinks.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 20 Sep 2006 03:12:20 -0400

resolvconf (1.36) unstable; urgency=low

  [ D.K. Gillmor / TH ]
  * Update dnscache update script to handle runit too.
    (Closes: #380119)

  [ Marco Nenciarini / TH ]
  * Modified postinst and prerm scripts to use invoke-rc.d if available
  * Bumped standards version to 3.7.2.1

 -- Marco Nenciarini <mnencia@debian.org>  Wed,  9 Aug 2006 16:50:50 +0200

resolvconf (1.35) unstable; urgency=low

  [ Daniel Nylander / TH ]
  * Add sv.po

  [ Yuri Kozlov / TH ]
  * Add ru.po; add ru translations of manpages  (Closes: #350383)

  [ Thomas Hood ]
  * DH_COMPAT=5
  * Relicense with GPL version option
  * Remove /lib/init from initscript PATH since standard readlink
    program with -f option now works as required
  * Depend on coreutils >= 5.93 to get revised readlink program

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 11 Jan 2006 23:53:47 +0100

resolvconf (1.34) unstable; urgency=low

  [ Thomas Hood ]
  * Tweak README
  * Update cs.po thanks to Miroslav Kure  (Closes: #322430)
  * Update FSF address
  * Use latest lsb init-functions in initscript

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 18 Dec 2005 16:15:29 +0000

resolvconf (1.33) unstable; urgency=medium

  * debian/control:
    + Limit Conflict with totd to versions << 1.4-4 because totd
      now (as of 1.4-4) refrains from writing to /etc/resolv.conf
      and refrains from altering /etc/dhclient-enter-hooks if
      resolvconf is installed  (Closes: #320536)
    + Enhances totd (>= 1.4-4) which includes a resolvconf update
      script
  * Update README info re: totd
  * Update debconf message to say that original resolv.conf file
    will be restored on _removal_ (rather than on purge, as in
    versions prior to 1.30).  Update de, fr, nl pt_BR; update vi
    thanks to Clytie Siddall.  (cs and ja still need updating.)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 31 Jul 2005 16:00:00 +0200

resolvconf (1.32) unstable; urgency=low

  * /etc/resolvconf/update.d/libc:
    + Truncate nameserver list after 127.* and limit to three items
      This reduces the number of client notifications when a local
      caching nameserver is running
  * Report missing /etc/resolv.conf symlink with a warning rather
    than with an error message
  * README: Document the REPORT_ABSENT_SYMLINK environment variable

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 21 Jul 2005 09:37:01 +0200

resolvconf (1.31) unstable; urgency=medium

  * Re-add 'lo' to interface-order because #252232 is still not fixed.
    (Closes: #319067)
  * Enable updates on restart as well as start
  * Fix typo in vi.po
  * initscript: Use lsb init-functions if present
  * Add update script for djbdns dnscache  (Closes: #318464, #294208)
    Thanks to Daniel Kahn Gillmor and martin krafft.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 20 Jul 2005 11:00:00 +0200

resolvconf (1.30) unstable; urgency=low

  * On removal, replace the symlink at /etc/resolv.conf with
    a file  (Closes: #318073)
  * Improve error message re: invalid option
  * Bump Standards-Version to 3.6.2.1; no changes required
  * Add vi.po.  Thanks to Clytie Siddall.  (Closes: #317771)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 15 Jun 2005 11:18:18 +0200

resolvconf (1.29) unstable; urgency=low

  * /lib/resolvconf/list-records: Enable extglob and clean up a tad
  * Add ja.po  (Closes: #310211)   Thanks to Hideki Yamane
  * Fix typos in de.po  (Closes: #313818)  Thanks to Jens Seidel
  * Eliminate preinst.  We now support upgrades only from the sarge
    (1.28) or later versions.
  * Reject initial hyphen in record name  (Closes: #309153)
  * /etc/resolvconf/interface-order:
    + Don't match lo.pdns and lo.pdns-recursor prior to the catch-all
      line  (See #308677 for background.)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 14 Jun 2005 20:00:00 +0200

resolvconf (1.28) unstable; urgency=low

  * /etc/resolvconf/update.d/bind:
    + Eliminate stray colon from otherwise empty forwarders list
     (Closes: #304994)
  * /sbin/resolvconf: Add -u option
  * /etc/init.d/resolvconf: Don't report creation of /dev/shm/resolvconf
  * README: Mention pdns-server and pdns-recursor
  * debian/control: Enhances: pdns-recursor (>= 2.9.17-11) since the
    latter lets resolvconf know that it is available
  * In various scripts, invoke run-parts with exec if it is the
    script's last action

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 17 Apr 2005 02:30:56 +0200

resolvconf (1.27) unstable; urgency=low

  * Don't Conflict with udhcpc versions 0.9.8cvs20050124-3 or later,
    since resolvconf support has been added
  * Disjoin Dependency on initscripts with one on coreutils (>= 5.3.0)
    since the latter will include a readlink program that implements
    the -f option in the way that we require
  * README:
    + Talk about using resolvconf with ifrename et al.
    + Update information about udhcpc which is now compatible with us.
      Thanks to Eric Van Buggenhaut for taking care of this.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri,  1 Apr 2005 16:16:21 +0200

resolvconf (1.26) unstable; urgency=medium

  * README: Update status of bug reports
  * Begin description synopsis with lower case letter
  * Add Czech translation of debconf templates.
    Thanks to Miroslav Kure  (Closes: #292466)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 29 Jan 2005 23:26:30 +0100

resolvconf (1.25) unstable; urgency=low

  * config, postinst, postrm:
    + Use bash because confmodule uses "local" which is non-POSIX
      (See #252094)
  * Conflict with webmin-wvdial << 1.160-3.  Version 1.160-3 no
    longer trashes /etc/resolv.conf if the latter is a symlink
    (see #288481).
  * Remove Suggestions  (Closes: #277617)
  * README: Update information about webmin-wvdial

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 21 Jan 2005 17:46:14 +0100

resolvconf (1.23) unstable; urgency=low

  * resolvconf.8: Explain difference between /etc/resolvconf/update.d/
    and /etc/resolvconf/update-libc.d/.  (Closes: #281797)
  * debian/control: Conflict with webmin << 1.150-2 and webmin-wvdial
  * README: Update and add information about webmin-wvdial

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 21 Nov 2004 14:35:59 +0100

resolvconf (1.22) unstable; urgency=low

  * Treat the domain option just like the search option
    (Closes: #276960)
  * Tweak README  (Closes: #277158)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 19 Oct 2004 08:14:56 +0200

resolvconf (1.21) unstable; urgency=medium

  * postinst: Clean up

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  9 Sep 2004 09:06:51 +0200

resolvconf (1.20) unstable; urgency=medium

  * postinst:
    + configure: Don't put /etc/resolvconf/run/ at /dev/shm/resolvconf/
      if /dev/ is devfs  (Closes: #270673)
  * postrm:
    + remove: Don't fail on if /etc/resolvconf/run/ not accessible.
      (Closes: #270694)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed,  8 Sep 2004 20:44:25 +0200

resolvconf (1.19) unstable; urgency=high

  * debian/control:
    + Downgrade Recommendations to Suggestions so that installing
      resolvconf doesn't pull in packages such as bind9 if the 
      user has configured her package manager to install all
      Recommended packages.  Thanks to LaMont Jones for pointing
      out this problem.  (Closes: #266027)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 16 Aug 2004 22:37:24 +0200

resolvconf (1.18) unstable; urgency=high

  * README update
  * /etc/resolvconf/update.d/libc:
    + Redirect stderr of sed pipe to /dev/null  (Closes: #258495)
      Otherwise the script fails when run by pump

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 29 Jun 2004 13:38:54 +0200

resolvconf (1.17) unstable; urgency=medium

  * /etc/resolvconf/interface-order
    + Match "lo" early for compatibility with existing bind9 (and
      bind) packages which register their nameserver information
      under "lo".  This is necessary because #252232 hasn't been
      implemented yet.  (Closes: #256799)
  * debian/control:
    + Also Enhances: nscd
    + Recommend dnsmasq version 2.9-2 which supports the new method
      of specifying the interface priority order
  * debian/config:
    + Don't ask link-tail-to-original question if /e/n/i already
      contains dns-nameservers entries.  This begins to addresses
      #256316.
  * README:
    + Update various bug stati

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 16 Jun 2004 09:29:37 +0200

resolvconf (1.15) unstable; urgency=low

  * /sbin/resolvconf:
    + Tweak -d case
  * /lib/resolvconf/list-records
    + Only return names of nonempty files
  * /etc/resolvconf/update.d/bind:
    + Try to reload both bind9 and bind
  * /etc/resolvconf/update.d/libc:
    + Support nscd.  If nscd is installed and running and
      /etc/resolv.conf has changed then restart nscd and run
      update-libc.d/ scripts with an '--nscd' option which will allow
      some of them (e.g., fetchmail) to decide not to do anything.
      (Closes: #48976,  #60771, #69256, #252251, #252283)
  * /etc/resolvconf/interface-order
    + Order lo for the different nameservers in case more than one of
      them is running
  * README:
    + Add note about -n
  * debian/control:
    + Remove unused '${shlibs:Depends}' from Depends: line
  * debian/po/de.po
    + Added.  Thanks to Helge Kreutzmann!  (Closes: #253587)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri,  4 Jun 2004 09:33:39 +0200

resolvconf (1.14) unstable; urgency=low

  * Check everything for POSIXal correctness
    + Where possible eliminate non-POSIX code such as the use of test's
      -a and -o options
    + Otherwise name bash on the shebang line and say why bash is
      required
  * /sbin/resolvconf
    + Don't run update scripts if record was not changed
      (Closes: #251255)
    + Remove -n option
  * /lib/resolvconf/list-records:
    + New script.  Prints out the names of interface records in the pwd.
      Uses patterns from /etc/resolvconf/interface-order, if available,
      to determine the order in which interface record names are
      printed.  Thanks to Christian Weeks for the suggestion.
      (Closes: #250967)
  * /etc/resolvconf/update.d/libc:
  * /etc/resolvconf/update.d/bind:
    + Use /lib/resolvconf/list-records
    + Clean up a bit while I'm at it
  * /etc/resolvconf/interface-order:
    + New conffile
    + Add 'tun*' and 'tap*' before 'eth*' since people who use VPNs
      probably want to use the private nameservers
  * README:
    + Mention that pdnsd >= 1.1.10par-4 has working resolvconf support
    + Mention in the TODO section:
      - nameservers: djbdns dnscache, maradns, nscd
      - resolver libraries: adns, ares, djbdns, FireDNS, Net::DNS
    + Resolvconf record name for bind should be named 'lo.named'.
  * interface-order.5:
    + New manpage.  My thanks to Dan Jacobson for his help.
  * resolvconf.8:
    + Tweak
    + Mention nonstandard resolver libraries
    + Mention interface-order(5)
  * debian/control:
    + Recommend pdnsd >= 1.1.10par-4 which now supports resolvconf
    + Update other Recommendations
    + Conflict with pdnsd << 1.1.10par-4
    + Improve description
  * debian/config, debian/postinst
    + Don't regard as "rogue" any hook scripts such as the one in
      pppoeconf 1.0.2 which consists exclusively of "#!/bin/sh"
      (Closes: #252088)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue,  3 Jun 2004 17:00:00 +0200

resolvconf (1.13) unstable; urgency=low

  * Instead of /etc/resolvconf/run/disable-updates flag file use
    /etc/resolvconf/run/enable-updates and change the sense of tests.
    That way, if the run dir is on a tmpfs then updates are disabled
    from boot time until the initscript enables them.  (This feature
    is intended for resolvconf's internal use only.)
  * Eliminate use of test's -a option from maintainer scripts
  * debian/postinst: enable updates
  * debian/prerm: disable updates
  * debian/control:
    + Recommend dhcp-client (>= 2.0pl5-17) which now supports resolvconf
      Thanks to Eloy A. Paris for applying the patch in #248399.
  * /etc/init.d/resolvconf
    + Add enable-updates and disable-updates methods  (This feature
      is intended for resolvconf's internal use only.)
  * /sbin/resolvconf:
    + Add -n option
    + Disallow spaces, slashes and initial dots and tildes in interface names
  * resolvconf(8):
    + Tweak
    + Warn about changing symlink /etc/resolv.conf
    + Document -n
  * Eliminate examples/downup.sh
  * README:
    + Describe head, base and tail files
    + Mention that 0000usepeerdns scripts are harmless
    + Mention that dhcp-client >= 2.0pl5-17 has resolvconf support
  * debian/config
    + Set priority of resolvconf/linkify-resolvconf to low
    + Only ask resolvconf/link-tail-to-original if tail file does not exist
  * templates:
    + pt_BR.po update thanks to Gleydson Mazioli da Silva
  * /etc/resolvconf/resolv.conf.d/head
    + Make warning sterner  (Closes: #248964)
  * /etc/dhcp3/dhclient-enter-hooks.d/resolvconf:
    + Handle STOP  (Closes: #246558) 
    + On TIMEOUT don't always run resolvconf -d

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 18 May 2004 10:00:00 +0200

resolvconf (1.12) unstable; urgency=low

  * Move rcS sequence number from S39 to S38 so that resolvconf
    is initialized _before_ ifupdown is initialized (and thus
    before ifupdown can be used and thus before ifupdown can call
    resolvconf).  [See entry for release 1.41]

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 24 Apr 2004 16:55:39 +0200

resolvconf (1.11) unstable; urgency=low

  * README: Improve bits about pppconfig and pppoeconf

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon, 19 Apr 2004 15:13:46 +0200

resolvconf (1.10) unstable; urgency=low

  * postrm: Don't rm conffile resolv.conf.d/head on purge
  * postinst: Tighten up test for presence of tmpfs at /dev/shm/

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 18 Apr 2004 21:39:27 +0200

resolvconf (1.9) unstable; urgency=low

  * fr.po update  (Closes: #244075)
  * Update pppconfig dependencies

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 15 Apr 2004 14:16:52 +0200

resolvconf (1.8) unstable; urgency=low

  * Eliminate update-resolv and its man page since pppconfig will
    detect /sbin/resolvconf in the future
  * README
    + Update information about pppconfig
  * /etc/network/if-down.d/resolvconf:
    + No longer delete static|manual records with old-style names
  * /etc/init.d/resolvconf:
    + Clean up
    + Improve start method's creation of the run dir.
      This requires use of the /lib/init/readlink program that ships
      in initscripts 2.85-15.
  * debian/postinst:
    + Simplify hook script disabling code.
      This eliminates the lintian warning about using debconf in postinst
    + Remove old code that moved run directory out of /var/run, which
      is what experimental versions of this package used for a while
    + Replace this with new code that makes resolvconf use /dev/shm
      if possible and /etc/resolvconf/run/ otherwise.  (Closes: #213594)
  * debian/config:
    + Simplify hook script disabling code
  * debian/control:
    + Depend on initscripts >= 2.85-15
    + Suggest pppconfig >> 2.3
    + Conflict with pppconfig <= 2.3 since version 2.3 hook scripts futz
      with /etc/resolv.conf again
  * templates and their translations
    + Update to reflect the fact that not only versions prior to 2.2.0
      but also version 2.3 of pppconfig contains a rogue ppp hook script.
      While making changes to the French and Dutch translations I fixed
      several errors.
      I don't speak Portuguese so that translation now contains fuzzies.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 27 Mar 2004 13:23:01 +0100

resolvconf (1.7) unstable; urgency=low

  * Remove characters from changelog of which lintian disapproves
  * Conflict with ifupdown << 0.6.4-4.1 because earlier versions
    didn't pass environment variables to "up" and "down" scripts.
    (Closes: #236999)  Thanks to Marius Gedminas for finding the bug.
  * Minor changes to initscript, /sbin/resolvconf, resolv.conf.d/head
  * Update README
    + Mention that pppd's usepeerdns option should be used.
      Thanks to jgmbenoit@wanadoo.fr for the suggestion. (Closes: #237570)
  * /etc/resolvconf/update.d/libc
    + Don't put an argumentless search option in /etc/resolv.conf .
      Thanks to Wouter van Heyst for the fix.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun, 21 Mar 2004 11:41:16 +0100

resolvconf (1.6) unstable; urgency=low

  * /etc/init.d/resolvconf
    * The start method now creates /etc/resolvconf/run/ and
      /etc/resolvconf/run/interface/ if they do not exist.  It also works
      if /etc/resolvconf/run/ is a symlink.  These changes allow resolvconf
      to work properly if /etc/resolvconf/run is a symlink to
      /dev/shm/resolvconf/, for example.
  * debian/control:
    * Conflict with whereami << 0.3.3 since version 0.3.3 is less
      incompatible with resolvconf than earlier versions were
  * README
    * Update info about whereami

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 17 Jan 2004 13:34:05 +0100

resolvconf (1.5) unstable; urgency=low

  * /etc/resolvconf/update.d/libc
    * Rewrite so that it eliminates all duplicate nameserver addresses
      and search domains.  (Closes: #215232)
      Thanks to Marcus C. Gottwald for his help.
  * /sbin/resolvconf
    * Eliminate comments from records before storing.  Safety measure.
  * /etc/network/if-*.d/*resolvconf
    * Allow dns-* options in all methods of inet and inet6 interfaces
  * README: Minor updates
  * resolvconf(8): Updates
  * pt_BR.po: Update thanks to Andre Luis Lopes
  * fr.po, nl.po: Minor wording fixes

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sat, 14 Jan 2004 19:00:00 +0100

resolvconf (1.4) unstable; urgency=medium

  * /etc/network/if-down.d/resolvconf:
    * Delete lo.inet record too  (Closes: #226687)
    * Delete $IFACE record for dhcp method too.
      This works around bug #196865.  (Closes: #226675)
  * debian/control:
    * Update Description
    * Update Recommended dnsmasq version

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue, 10 Jan 2004 13:00:00 +0100

resolvconf (1.3) unstable; urgency=medium

  * all shell scripts:
    * Add lots of double quotation marks around variables for
      consistency's sake.  No functional changes (I hope!)
  * debian/control:
    * Adjust package relationship versions: Recommend or Suggest those
      versions of packages that have the best resolvconf support;
      Conflict with those versions of packages that don't work cleanly
      with resolvconf.  Note that bind9 is now to be preferred over bind
      because resolvconf support has been added to bind9's initscript.
      Thanks to LaMont Jones for fulfilling this wish (#199255)!
    * Update Description and remove double spaces
  * debian/postinst:
    * Remove downup code (Closes: #221954, #220159)
  * debian/rules
    * ... and put it in /usr/share/doc/resolvconf/examples/downup.sh
  * debian/templates:
    * Change prompts (English, French) re: downupping interfaces
  * /etc/resolvconf/update.d/libc
    * Add semicolon.  Thanks to Mike.  This should allow the script to
      work with the woody version of sed.  (Closes other part of #221954)
    * Redirect stderr of sed pipe to /dev/null  (Closes: #222727)
      Otherwise the script fails when run by pump
    * Some minor bugfixes thanks to Marcus C. Gottwald
  * /etc/network/if-up.d/000resolvconf, /etc/network/if-down.d/resolvconf
    * Include address family name in the nameserver data set identifier
      (Closes: #223745)
  * README
    * Update info, especially re: bind9
  * debian/po/nl.po
    * Added, thanks to Tim Dijkstra  (Closes: #224041)
    * I tweaked it to bring it up to date
  * /etc/network/if-up.d/000resolvconf
    * Clean up
    * Allow dns-* options in loopback lifaces too

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri,  3 Jan 2004 13:00:00 +0100

resolvconf (1.2) unstable; urgency=medium

  * debian/po/fr.po
    * Added, thanks to Frederic ZULIAN  (Closes: #219403, #217680)
  * debian/preinst
    * Create /etc/resolvconf/resolv.conf.d if necessary before
      moving resolv.conf backup file

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu,  9 Nov 2003 10:00:00 +0100

resolvconf (1.1) unstable; urgency=low

  * debian/control:
    * Build-Depends on debhelper instead of Build-Depends-Indep.
      This is necessary because the clean rule uses debhelper commands.
      See policy 7.6 and #178809 and #191411.
      Ignore the lintian warning -- it is erroneous.
    * Suggest pcmcia-cs >= 3.2.5-1
    * Conflict with pcmcia-cs << 3.2.5-1
  * debian/rules
    * Install ifup hook script as "000resolvconf"  (Closes: #217389)
  * debian/config
    * Re-ask questions on reconfigure
  * debian/templates:
    * Corrections and clarifications.  My since apologies to translators
      for once again moving the target.
  * debian/po/pt_BR.po
    * Added, thanks to Andre Luis Lopes  (Closes: #216601)
  * debian/preinst
    * Rename already installed ifup hook script to "000resolvconf"
    * Delete /var/lib/resolvconf more carefully
  * debian/postinst
    * Generate up and down scripts with a sed script from Michael Weber.
      One advantage is that the interfaces are downed in the order that
      is the reverse of the order in which they were upped.
    * Delete /etc/resolvconf/run more carefully
    * Re-do configuration on every configure or reconfigure
    * Do debconf notification at high priority
  * /etc/network/if-up.d/000resolvconf
    * Work also with inet6 and manual ifaces
  * README
    * Update info re: pcmcia-cs
    * Fix some typos
  * /etc/resolvconf/update.d/libc
    * Sort and uniq lines in the resolver configuration file
      (Partially addresses #215232)
    * Merge search lines  (Closes: #212670)
    The comment header of the dynamically generated resolv.conf file is
    now located in /etc/resolvconf/resolv.conf.d/head.
    /etc/resolvconf/resolv.conf.d/base is to be used for base (static)
    entries that may be sorted and merged with other entries.
    /etc/resolvconf/resolv.conf.d/tail may be a symlink to ./original
    on initial installation but the admin can point this somewhere 
    else or replace it with a real file as he or she wishes.
    To "disable" it, point it at /dev/null.

  Many improvements in this release arose from comments by Michael Weber.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed,  1 Nov 2003 18:23:00 +0100

resolvconf (1.0) unstable; urgency=medium

  * 1.0 Release
  * debian/rules:
    * Variable name change
  * debian/templates:
    * Wording improvements thanks to suggestions from Joey Hess
      (Closes: #215035)

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed,  8 Oct 2003 20:02:44 +0200

resolvconf (0.47) unstable; urgency=medium

  Translators can now go ahead and translate the debconf messages.
  I will minimize unnecessary changes.

  * debian/init
    * Make restart do reload instead of stop;start
  * debian/templates
    * Remove redundant questions from each description
    * Clarify what "disabling rogue hook scripts" is
      (Closes: #214146)
  * debian/postinst
    * Disable rogue hook scripts by removing execute permission.
      Do not rename them.
    * Also check for rogue pppconfig hook script
  * README
    * Merge ANNOUNCE
    * Add table of contents
    * Re-order sections
    * Improve explanation of how to edit /etc/network/interfaces
  ... per suggestions by Osamu Aoki and Manoj Srivastava.

  * debian/postinst
    * Use "ln -nsf" instead of "ln -sf" for safety

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri,  3 Oct 2003 21:52:34 +0200

resolvconf (0.46) unstable; urgency=medium

  * /etc/resolvconf/update.d/bind:
    * Remove semicolon from end of existing forwarders statement in
      named.conf.options  (Closes: #213698)
      Thanks to Manoj Srivastava for reporting this.
    * Use temporary file name with $$ and clean up on signal to exit
  * /etc/resolvconf/update.d/libc:
    * Print message on stderr if /etc/resolv.conf is not a symbolic
      link to /etc/resolvconf/run/resolv.conf .  This can be shut
      off by changing the value of an environment variable.
  * debian/control:
    * Conflict with xisp which also futzes with /etc/resolv.conf
    * Conflict with totd which does unpleasant things to /etc/resolv.conf
      and dhclient-enter-hooks
    * Add warning to the Description that the admin may have to
      do some manual configuration
  * debian/rules:
    * initscript stop at K89 -- this may fix #212780
    * remove binary-arch rule
  * debian/init:
    * Set disable-updates flag on stop
    * Don't update if flag is set
  * sbin/resolvconf:
    * Don't update if disable-updates flag is set
    * Update using exactly the same update() as in initscript
  * README:
    * Add very short "Usage" section
    * Explain how to make pcmcia-cs use resolvconf instead of altering
      /etc/resolv.conf directly.  Thanks to Manoj Srivastava for this.
    * Re-order instructions.  Thanks to Osamu Aoki for good suggestions.
    * Miscellaneous minor updates
  * debian/config, debian/templates:
    * Post a debconf note if any of the following rogue hook scripts is
      still present, nonempty and executable:
        /etc/ppp/ip-up.d/000usepeerdns
        /etc/ppp/ip-up.d/0xisp-dns
        /etc/ppp/ip-down.d/0xisp-dns
      Ask for permission to disable scripts like these
    * Rewrite templates to increase clarity
  * debian/postinst:
    * Downup interfaces and restart DNS caches on reconfigure too
    * Disable (or remind the user to disable) rogue hook scripts
    * Copy original /etc/resolv.conf to /etc/resolvconf/run/resolv.conf
      so that there is some resolv.conf file at the target of the link
      if there is some failure in the postinst  (Closes: #212668)
  * debian/changelog:
    * Truncate -- include only the entries for non-experimental releases

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 26 Sep 2003 11:27:45 +0200

resolvconf (0.45) unstable; urgency=high

  * README
    * Update
  * debian/init:
    * Arguments are passed through run-parts using --arg=.
      (Closes: #212801)  Thanks to Martin Dickopp for reporting this.
  * debian/templates:
    * Tweak
  * debian/control:
    * Change ppp recommendation to >= 2.4.1.uus2-4
    * Conflict with pppoeconf << 1.0 since earlier versions still
      contain a /etc/ppp/ip-up.d/000usepeerdns script that overwrites
      /etc/resolv.conf unless the pppconfig package also happens to be
      installed.
  * debian/config, debian/templates
    * Post a debconf note if /etc/ppp/ip-up.d/000usepeerdns is still
      present, nonempty and executable
  * debian/postinst
    * Remind user to delete or modify 000usepeerdns

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 25 Sep 2003 20:50:33 +0200

resolvconf (0.44) unstable; urgency=low

  * debian/rules:
    * Install ppp hook scripts as
        /etc/ppp/ip-up.d/000resolvconf
        /etc/ppp/ip-down.d/000resolvconf
      (Closes: #212548)
  * debian/preinst:
    * On upgrade rename 
        /etc/ppp/ip-up.d/resolvconf
        /etc/ppp/ip-down.d/resolvconf
      to
        /etc/ppp/ip-up.d/000resolvconf
        /etc/ppp/ip-down.d/000resolvconf
      respectively.
  * debian/templates:
    * Tweak

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 24 Sep 2003 10:23:56 +0200

resolvconf (0.43) unstable; urgency=low

  * initscript:
    * Rework so that it calls update functions on start with "-i" option
  * /etc/resolvconf/update.d/libc:
    * Prepend /etc/resolvconf/resolv.conf.d/head and append
      /etc/resolvconf/resolv.conf.d/tail if they are present.
      This makes it easy for the user to prepend or append, respectively,
      an arbitrary file to the dynamically generated resolv.conf file.
      The immediate use for this feature is to allow the user to symlink
      /etc/resolvconf/resolv.conf.d/tail to ./original.
    * Don't reload things if given the "-i" option
  * /etc/resolvconf/update.d/bind:
    * Don't reload things if given the "-i" option
  * resolv.conf backup file:
    * It is now stored at /etc/resolvconf/resolv.conf.d/original .
      This makes possible "ln -s original /etc/resolvconf/resolv.conf.d/tail"
      as discussed above.
  * debian/preinst
    * Move the old backup file to the new location
    * Delete /var/lib/resolvconf which is no longer used
  * debian/config, debian/templates, debian/postinst:
    * Add installation option to symlink /e/r/r/tail to /e/r/r/original
  * debian/postrm
    * Remove /etc/resolvconf/run symlink or directory on purge
  * man/resolvconf.8
    * Update thanks to suggestions by Eduard Bloch

 -- Thomas Hood <jdthood@yahoo.co.uk>  Thu, 21 Sep 2003 15:12:31 +0200

resolvconf (0.42) unstable; urgency=low

  * Eliminate /var/run/resolvconf
  * debian/config, debian/templates:
    * Change configuration process so that there is only one question.
      The question asks whether the package should linkify /etc/resolv.conf
      _and_ downup all interfaces _and_ restart all DNS caches.  The
      alternative is to do none of these things.  The debconf description
      now provides a lot more information about the alternatives.  The
      priority of the question is now high.  (Closes: #210283)
  * etc/resolvconf/update.d/libc:
    * Use temporary file name with $$ and clean up on signal to exit

 -- Thomas Hood <jdthood@yahoo.co.uk>  Fri, 12 Sep 2003 19:34:53 +0200

resolvconf (0.41) unstable; urgency=low

  * /sbin/resolvconf,
    /etc/resolvconf/update.d/bind,
    /etc/resolvconf/update.d/libc,
    man/resolvconf.8:
    * Cleanups thanks to code auditing by Michael Weber
  * man/resolvconf.8:
    * Don't say that /etc/resolvconf/run is usually a symlink
  * /etc/resolv.conf/update.d/bind
    * Ignore chown errors because bind (version 8) does not create a
      "bind" group  (Closes: #209284).  Thanks to Dylan Thurston for
      reporting this bug.

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue,  9 Sep 2003 16:48:41 +0200

resolvconf (0.40) unstable; urgency=low

  * First upload to unstable
  * README
    * Fix typo

 -- Thomas Hood <jdthood@yahoo.co.uk>  Sun,  7 Sep 2003 16:47:47 +0200

resolvconf (0.39) experimental; urgency=high

  * debian/control:
    * Version the dependency on ppp
    * Shorten the long Description
  * debian/prerm
    * Add quotation marks around: "$(readlink ...)" to fix test if
      /etc/resolv.conf does not exist.
  * debian/postinst
    * Create /etc/resolvconf/run as a directory instead of as a symlink
      to /var/run/resolvconf/ .  If /etc/resolvconf/run is a symlink to
      the latter directory then convert it into a directory.
    * Move confmodule to beginning of file because it reruns the script
    * Don't downup lo
    * Give dh_installinit the "--no-start" option since the meaning of
      the initscript "start" method has changed.
  * /etc/init.d/resolvconf
    * Start method now cleans /etc/resolvconf/run/ since it isn't in
      /var/run/ by any more.  This means that the start method should
      never be called when resolvconf is in use.  Use it only on boot.
  * README
    * Tweak
    * Change to reflect the fact that the run directory is now
      /etc/resolvconf/run/ .

 -- Thomas Hood <jdthood@yahoo.co.uk>  Mon,  1 Sep 2003 11:16:34 +0200

resolvconf (0.38) experimental; urgency=low

  * Initial Debian release. Closes: #204677

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 27 Aug 2003 17:53:54 -0100
